Summary:	curses terminal control library
Name:		ncurses
Version:	5.5
Release:	2
License:	Distributable
Group:		Libraries
Source0:	ftp://dickey.his.com/ncurses/%{name}-%{version}.tar.gz
BuildRequires:	sharutils-devel sed libutf8-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_sysconfdir	/etc
%define		_includedir	%{_prefix}/include/ncurses

%description
The curses library routines give the user a terminal-independent
method of updating character screens with reasonable optimization.
This implementation is ``new curses'' (ncurses) and is the approved
replacement for 4.4BSD classic curses, which is being discontinued.

%package 	devel
Summary:	Header files for develop ncurses based application
Group:		Development

%description 	devel
This package includes the header files and libraries necessary to
develop applications that use ncurses.

%prep
%setup -q

%build
CFLAGS="$CFLAGS -DPURE_TERMINFO"
%configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-ospeed=unsigned \
	--enable-hard-tabs \
	--enable-xmc-glitch \
	--enable-sigwinch \
	--enable-colorfgbg \
	--enable-widec \
	--with-normal \
	--with-shared \
	--with-cxx \
	--without-ada \
	--without-profile \
	--without-debug \
	--with-termlib \
	--enable-safe-sprintf \
	--disable-nls \
	--without-included-gettext \
	--with-manpage-format=normal

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib
%{__make} DESTDIR=$RPM_BUILD_ROOT install

mv -f $RPM_BUILD_ROOT%{_libdir}/libtinfow.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libncursesw.so* $RPM_BUILD_ROOT/lib
mv -f $RPM_BUILD_ROOT%{_libdir}/libcursesw.so $RPM_BUILD_ROOT/lib
ln -sf libncursesw.so.5 $RPM_BUILD_ROOT/lib/libncurses.so.4
ln -sf libncursesw.so.5 $RPM_BUILD_ROOT/lib/libncurses.so.5
ln -sf libtinfow.so $RPM_BUILD_ROOT/lib/libtinfo.so
ln -sf libtinfow.so $RPM_BUILD_ROOT/lib/libtinfo.so
ln -sf libformw.so $RPM_BUILD_ROOT/usr/lib/libform.so
ln -sf libmenuw.so $RPM_BUILD_ROOT/usr/lib/libmenu.so
ln -sf libpanelw.so $RPM_BUILD_ROOT/usr/lib/libpanel.so
ln -sf libncursesw.a $RPM_BUILD_ROOT/usr/lib/libncurses.a
ln -sf libncurses++w.a $RPM_BUILD_ROOT/usr/lib/libncurses++.a
ln -sf /usr/include/ncurses/curses.h $RPM_BUILD_ROOT/usr/include/curses.h
ln -sf /usr/include/ncurses/ncurses.h $RPM_BUILD_ROOT/usr/include/ncurses.h
cd $RPM_BUILD_ROOT/usr/lib; ln -sf ../../lib/* .
chmod 755 $RPM_BUILD_ROOT/lib/*
chmod 755 $RPM_BUILD_ROOT/usr/lib/*so*
cd $RPM_BUILD_ROOT/usr/share/terminfo/x; mv xterm xterm.orig; ln -sf xterm-new xterm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin
/lib/*.so*
/usr/lib/*.so*
/usr/lib/terminfo
/usr/man
/usr/share

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/include
